CONFIG = {
    'framework' : 'other',
    'arg' : '',
    'env' : None,
    'expect_except' : None,
    'need_sources' : True,
    'location' : None,
    'use_re' : False,
    'errors' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
        '3.5' : {
            'Win' : {
		'test_import_from_dir (test_importer.TestImporter)',
                'test_import_sets_intermediate_modules (test_importer.TestImporter)',
                'test_sys_modules_symlinked_package_no_reload (test_importer.TestImporter)',
                'test_import_sets_sys_modules (test_importer.TestImporter)',
                'test_sys_modules_same_path_no_reload (test_importer.TestImporter)',
                'test_import_from_path (test_importer.TestImporter)',
                'test_cached_no_reload (test_importer.TestImporter)',
                'test_import_from_dirlink (test_importer.TestImporter)',
		'test_import_pkg_from_path_fpw (test_importer.TestImporter)',
		'test_failed_import_raises_import_error (test_importer.TestImporter)',
		'test_cached_no_reload_dotted (test_importer.TestImporter)',
		'test_value (test_load_tests_from_test_case.NoFixturePlug.loadTestsFromTestCase.<locals>.Derived)',
            },
            'Lin' : { 'test_value (test_load_tests_from_test_case.NoFixturePlug.loadTestsFromTestCase.<locals>.Derived)' },
            'Mac' : { 'test_value (test_load_tests_from_test_case.NoFixturePlug.loadTestsFromTestCase.<locals>.Derived)' }
        },
        '3.6' : {
            'Win' : set(),
            'Lin' : { "Failure: ModuleNotFoundError (No module named 'no_such_module')",
                      "test_value (test_load_tests_from_test_case.NoFixturePlug.loadTestsFromTestCase.<locals>.Derived)",
                      "Failure: ModuleNotFoundError (No module named 'apackagethatdoesntexist')",
                      "Failure: ImportError (No module ...apackagethatdoesntexist...)",
            },
            'Mac' : set(),
        },
    },
    'failures' : {
        '2.7' : {
            'Win' : { 'test_can_split.test_a',  # SAT-1016
                      'test_can_split.test_b',  # SAT-1016
                      'Doctest: multiprocess.rst', # SAT-1016
                      'runTest (test_multiprocessing.test_process_timeout.TestMPTimeout)',   # SAT-1016
                      'test_load_from_name_package_root_path (test_loader.TestTestLoader)',  # SAT-1016
            },
            'Lin' : set(),
            'Mac' : { 'test_multiprocessing.test_keyboardinterrupt.test_keyboardinterrupt_twice', 
                      'test_multiprocessing.test_keyboardinterrupt.test_keyboardinterrupt',
            }
        },
        '3.5' : {
            'Win' : {
                'Doctest: imported_tests.rst',
                'runTest (test_multiprocessing.test_process_timeout.TestMPTimeout)',
                'test_addError (test_xunit.TestXMLOutputWithXML)',
                'Doctest: multiprocess.rst',
                'runTest (test_load_tests_from_test_case.TestLoadTestsFromTestCaseHook)',
                'test_can_split.test_b',
                'test_can_split.test_a',
                'test_load_from_name_package_root_path (test_loader.TestTestLoader)',
                'test_addSuccess (test_xunit.TestXMLOutputWithXML)',
          	'test_addFailure (test_xunit.TestXMLOutputWithXML)',
            },
            'Lin' : { 'test_addFailure (test_xunit.TestXMLOutputWithXML)',
                      'test_addSuccess (test_xunit.TestXMLOutputWithXML)',
                      'test_addError (test_xunit.TestXMLOutputWithXML)',
                      'runTest (test_load_tests_from_test_case.TestLoadTestsFromTestCaseHook)',
                      'Doctest: imported_tests.rst' },
            'Mac' : { 'test_addFailure (test_xunit.TestXMLOutputWithXML)',
                      'test_addSuccess (test_xunit.TestXMLOutputWithXML)',
                      'test_addError (test_xunit.TestXMLOutputWithXML)',
                      'runTest (test_load_tests_from_test_case.TestLoadTestsFromTestCaseHook)',
                      'Doctest: imported_tests.rst',
                      'test_multiprocessing.test_keyboardinterrupt.test_keyboardinterrupt',        # SAT-1015
                      'test_multiprocessing.test_keyboardinterrupt.test_keyboardinterrupt_twice',  # SAT-1015
                    }
        },
        '3.6' : {
            'Win' : set(),
            'Lin' : { 'test_addFailure (test_xunit.TestXMLOutputWithXML)',
                      'test_failed_import_module_name (test_loader.TestNoseTestLoader)',
                      'Doctest: test_withid_failures.rst',
                      'Doctest: imported_tests.rst',
                      'runTest (test_load_tests_from_test_case.TestLoadTestsFromTestCaseHook)',
                      'test_b.test_fail',
                      'test_addSuccess (test_xunit.TestXMLOutputWithXML)',
                      'test_addError (test_xunit.TestXMLOutputWithXML)',
            },
            'Mac' : set(),
        },
    }
}

def fetch_config(pyver):
    arg = ''
    if pyver.startswith('3'):
        arg = 'rm -rf build && PYCMD setup.py build_tests && '
    arg += 'PYCMD selftest.py'
    CONFIG['arg'] = arg
    return CONFIG
